[package]
name = "jirs-server"
version = "0.1.0"
authors = ["Adrian Wozniak <adrian.wozniak@ita-prog.pl>"]
edition = "2018"
description = "JIRS (Simplified JIRA in Rust) Actix server"
repository = "https://gitlab.com/adrian.wozniak/jirs"
license = "MPL-2.0"
#license-file = "../LICENSE"

[[bin]]
name = "jirs_server"
path = "./src/main.rs"

[features]
aws-s3 = ["amazon-actor"]
local-storage = ["filesystem-actor"]
default = ["local-storage"]

[dependencies]
common = { path = "../shared/common" }
actix = { version = "0.10.0" }

dotenv = { version = "*" }

serde = { version = "*", features = ["derive"] }
serde_json = { version = ">=0.8.0, <2.0" }
toml = { version = "0.5.6" }

futures = { version = "*" }
openssl-sys = { version = "*", features = ["vendored"] }
libc = { version = "0.2.0", default-features = false }

[dependencies.jirs-config]
path = "../shared/jirs-config"
features = ["web", "websocket", "local-storage", "hi", "database"]

[dependencies.jirs-data]
path = "../shared/jirs-data"
features = ["backend"]

[dependencies.highlight-actor]
path = "../actors/highlight-actor"

[dependencies.database-actor]
path = "../actors/database-actor"

[dependencies.web-actor]
path = "../actors/web-actor"
features = ["local-storage"]

[dependencies.websocket-actor]
path = "../actors/websocket-actor"

[dependencies.mail-actor]
path = "../actors/mail-actor"

[dependencies.filesystem-actor]
path = "../actors/filesystem-actor"
optional = true

[dependencies.amazon-actor]
path = "../actors/amazon-actor"
optional = true

[dependencies.tokio]
version = "0.2.23"
features = ["dns"]
